package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFL38 extends MwfRequest<MWFL38, MWFL38Response> {

    @Parameter(name = "CIF")
    MWFL38 cif(String cif);
    @Parameter(name = "DatumDo")
    MWFL38 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWFL38 datumOd(java.util.Date datumOd);
    @Parameter(name = "Pobocka")
    MWFL38 pobocka(String pobocka);
    @Parameter(name = "PocetObchodu")
    MWFL38 pocetObchodu(Long pocetObchodu);
    @Parameter(name = "Produkt")
    MWFL38 produkt(String produkt);
    @Parameter(name = "PseudoTransakceID")
    MWFL38 pseudoTransakceID(String pseudoTransakceID);
    @Parameter(name = "StavObchodu")
    MWFL38 stavObchodu(String stavObchodu);
    @Parameter(name = "TypObchodu")
    MWFL38 typObchodu(String typObchodu);
    @Parameter(name = "TypSmlouvy")
    MWFL38 typSmlouvy(String typSmlouvy);
    @Parameter(name = "UserID")
    MWFL38 userID(String userID);
}
